<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 23/03/2024
 * Time: 22:56
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Error\Base;

use WPCCrawler\Objects\Informing\Information;

abstract class AbstractError {

    /** @var Information The reason and details on why the error occurred */
    private $info;

    /**
     * @param Information $info See {@link $info}
     * @since 1.15.0
     */
    public function __construct(Information $info) {
        $this->info = $info;
    }

    /**
     * @return Information See {@link $info}
     * @since 1.15.0
     */
    public function getInfo(): Information {
        return $this->info;
    }

}