<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 23/03/2024
 * Time: 07:17
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Events\Events;

use WPCCrawler\Objects\Events\Base\AbstractCrawlingEvent;
use WPCCrawler\Objects\Events\Enums\EventGroupKey;
use WPCCrawler\Objects\Events\Enums\EventKey;

class AfterPostDetailsSavedEvent extends AbstractCrawlingEvent {

    public function getKey(): string {
        return EventKey::AFTER_POST_DETAILS_SAVED;
    }

    public function getName(): string {
        return _wpcc('After post details are saved');
    }

    public function getDescription(): string {
        return _wpcc('Executed after post details such as WooCommerce data are saved, whether there are post details or not');
    }

    public function getEventGroup(): string {
        return EventGroupKey::POST_DATA;
    }
}