<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 22/03/2024
 * Time: 12:14
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ActionCommands\Date;

use DateTime;
use WPCCrawler\Objects\Filtering\Commands\ActionCommands\Base\AbstractDateActionCommand;
use WPCCrawler\Objects\Filtering\Enums\CommandKey;

class DateSetToNow extends AbstractDateActionCommand {

    public function getKey(): string {
        return CommandKey::DATE_SET_TO_NOW;
    }

    public function getName(): string {
        return _wpcc('Set to now');
    }

    public function getDescription(): ?string {
        return _wpcc("Sets the subject date's value as the current time");
    }

    protected function onModifyDate(DateTime $dateTime): DateTime {
        return $this->getNowAsDate();
    }

}