<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 01/04/2024
 * Time: 09:00
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ActionCommands\Error\Base;

use WPCCrawler\Objects\Enums\ValueType;
use WPCCrawler\Objects\Error\Base\AbstractError;
use WPCCrawler\Objects\Filtering\Commands\ActionCommands\Base\AbstractActionCommand;

abstract class AbstractErrorActionCommand extends AbstractActionCommand {

    public function getInputDataTypes(): array {
        return [ValueType::T_ERROR];
    }

    protected function isOutputTypeSameAsInputType(): bool {
        return true;
    }

    protected function onExecute($key, $subjectValue) {
        if(!($subjectValue instanceof AbstractError)) {
            return $subjectValue;
        }

        return $this->onModifyError($key, $subjectValue);
    }

    /**
     * Modifies the error
     *
     * @param string|int|null $key
     * @param AbstractError   $error
     * @return AbstractError Modified error
     * @since 1.15.0
     */
    abstract protected function onModifyError($key, AbstractError $error): AbstractError;

}