<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 01/04/2024
 * Time: 08:59
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ActionCommands\Error;

use WPCCrawler\Objects\Error\Base\AbstractError;
use WPCCrawler\Objects\Error\ErrorData;
use WPCCrawler\Objects\Filtering\Commands\ActionCommands\Error\Base\AbstractErrorActionCommand;
use WPCCrawler\Objects\Filtering\Enums\CommandKey;

class ErrorRemove extends AbstractErrorActionCommand {

    public function getKey(): string {
        return CommandKey::ERROR_REMOVE;
    }

    public function getName(): string {
        return _wpcc('Remove');
    }

    public function getDescription(): ?string {
        return _wpcc("Removes the error. The removed error will not be available for use in the action and"
            . " condition commands that will be executed after this.");
    }

    protected function isTestable(): bool {
        return false;
    }

    protected function shouldReassignNewValues(): bool {
        return false;
    }

    protected function onModifyError($key, AbstractError $error): AbstractError {
        ErrorData::getInstance()->removeError($error);
        return $error;
    }

}