<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 03/12/2023
 * Time: 12:15
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ActionCommands\Setting;

use WPCCrawler\Objects\Filtering\Commands\ActionCommands\Setting\Base\AbstractSetCheckboxSiteSettingActionCommand;
use WPCCrawler\Objects\Filtering\Enums\CommandKey;
use WPCCrawler\Objects\Settings\Enums\SettingKey;

class SetPostDeleting extends AbstractSetCheckboxSiteSettingActionCommand {

    public function getKey(): string {
        return CommandKey::SET_POST_DELETING;
    }

    public function getName(): string {
        return _wpcc('Set post deleting');
    }

    public function getSettingKey(): string {
        return SettingKey::ACTIVE_POST_DELETING;
    }

    protected function createLoggerMessage(int $siteId, bool $enabled): string {
        return sprintf('The post deleting is %1$s for site %2$s.',
            $this->getEnabledTranslation($enabled),
            $siteId
        );
    }

    protected function createInformationMessage(int $siteId, bool $enabled): string {
        return sprintf(
            _wpcc('The post deleting is %1$s for site %2$s by "%3$s" command.'),
            $this->getEnabledTranslation($enabled),
            $siteId,
            $this->getName()
        );
    }

}