<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 20/07/2024
 * Time: 15:38
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ConditionCommands\Error\Base;

use WPCCrawler\Objects\Enums\ValueType;
use WPCCrawler\Objects\Error\Base\AbstractError;
use WPCCrawler\Objects\Filtering\Commands\ConditionCommands\Base\AbstractConditionCommand;

abstract class AbstractErrorConditionCommand extends AbstractConditionCommand {

    /**
     * @param mixed|AbstractError $error The error that will be checked.
     * @return bool `true` if the condition is met. Otherwise, `false`.
     * @since 1.15.0
     */
    abstract protected function onCheckCondition($error): bool;

    public function getInputDataTypes(): array {
        return [ValueType::T_ERROR];
    }

    protected function onDoesApply($subjectValue): bool {
        return $this->onCheckCondition($subjectValue);
    }

}