<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 20/07/2024
 * Time: 15:45
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ConditionCommands\Error;

use WPCCrawler\Objects\Filtering\Commands\ConditionCommands\Error\Base\AbstractErrorConditionCommand;
use WPCCrawler\Objects\Filtering\Enums\CommandKey;

class ErrorDoesNotExist extends AbstractErrorConditionCommand {

    public function getKey(): string {
        return CommandKey::ERROR_DOES_NOT_EXIST;
    }

    public function getName(): string {
        return _wpcc('Does not exist');
    }

    public function doesNeedSubjectValue(): bool {
        return false;
    }

    protected function isTestable(): bool {
        return false;
    }

    protected function onCheckCondition($error): bool {
        // This command does not need subject values, since we expect to find no subject values. Extract the subject
        // values.
        $result = $this->extractSubjectValues();

        // If the result is an empty array, then there is no error, and the condition is met.
        return is_array($result) && !$result;
    }

}