<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 20/07/2024
 * Time: 15:45
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Filtering\Commands\ConditionCommands\Error;

use WPCCrawler\Objects\Error\Base\AbstractError;
use WPCCrawler\Objects\Filtering\Commands\ConditionCommands\Error\Base\AbstractErrorConditionCommand;
use WPCCrawler\Objects\Filtering\Enums\CommandKey;

class ErrorExists extends AbstractErrorConditionCommand {

    public function getKey(): string {
        return CommandKey::ERROR_EXISTS;
    }

    public function getName(): string {
        return _wpcc('Exists');
    }

    protected function isTestable(): bool {
        return false;
    }

    protected function onCheckCondition($error): bool {
        return $error instanceof AbstractError;
    }

}