<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 17/08/2024
 * Time: 12:33
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Strings;

use Illuminate\Support\Str;

class StringUtils {

    /**
     * Replace the given "search" value in the given "subject" string
     *
     * @param string $search        The string that might exist in the subject
     * @param string $replace       The new value of the found string
     * @param string $subject       The subject that might contain the searched string
     * @param bool   $caseSensitive `false` if the target string should be searched case-insensitively. Otherwise,
     *                              `true`.
     * @return string
     */
    public static function replace(string $search, string $replace, string $subject, bool $caseSensitive = true): string {
        $result = Str::replace($search, $replace, $subject, $caseSensitive);
        return is_string($result)
            ? $result
            : $subject;
    }

}