<?php
/**
 * Created by PhpStorm.
 * User: tsaricam
 * Date: 20/07/2024
 * Time: 09:37
 *
 * @since 1.15.0
 */

namespace WPCCrawler\Objects\Transformation\Objects;

use WPCCrawler\Objects\Error\Base\AbstractError;
use WPCCrawler\Objects\Value\ValueExtractorOptions;

class ErrorTransformableField extends TransformableField {

    protected function getSubjectItemAsString($subject): ?string {
        if (!($subject instanceof AbstractError)) {
            return parent::getSubjectItemAsString($subject);
        }

        return $subject->getInfo()->__toString();
    }

    protected function createExtractorOptions(): ValueExtractorOptions {
        return parent::createExtractorOptions()
            // Allow the objects. Since the errors are objects, we want an array of objects as the subject value.
            ->setAllowObjects(true);
    }

}