interface I18n {
    an_error_occurred: string,
    press_to_copy: string,
    copied: string,
    no_result: string,
    found: string,
    required_for_test: string,
    required: string,
    css_selector_found: string,
    delete_all_test_history: string,
    url_data_not_exist: string,
    currently_crawling: string,
    retrieving_urls_from: string,
    pause: string,
    continue: string,
    test_data_not_retrieved: string,
    content_retrieval_response_not_valid: string,
    test_data_retrieval_failed: string,
    no_urls_found: string,
    this_is_not_valid: string,
    url_data_not_exist_for_this: string,
    this_url_not_crawled_yet: string,
    url_cannot_be_retrieved: string,
    cache_invalidated: string,
    cache_could_not_be_invalidated: string,
    all_cache_invalidated: string,
    all_cache_could_not_be_invalidated: string,
    custom_short_code: string,
    post_id_not_found: string,
    settings_not_retrieved: string,
    settings_saved: string,
    section_has_configured_inputs: string,
    collapsed: string,
    section_collapsed_click_to_expand: string,
    state_not_parsed: string,
    top: string,
    x_element_selected: string,
    x_elements_selected: string,
    clear: string,
    or: string,
    select_category_url: string,
    see_docs_for_this_setting: string,
    remove: string,
    select_an_image: string,
    use_this_image: string,
    image_with_this_id_does_not_exist: string,
    subject: string,
    property: string,
    command: string,
    operator_and: string,
    operator_or: string,
    filter_if: string,
    filter_then: string,
    add_new: string,
    add_command: string,
    remove_command: string,
    add_condition_block: string,
    remove_block: string,
    remove_filter: string,
    move_this: string,
    value: string,
    enter_filter_title: string,
    import: string,
    export: string,
    export_filter_description: string,
    import_filter_description: string,
    import_filter_placeholder: string,
    export_setting_description: string,
    import_setting_description: string,
    import_setting_placeholder: string,
    enabled: string,
    disabled: string,
    filter_enabled_description: string,
    filter_disabled_explanation: string,
    filter_setting_disabled_notification: string,
    stop_after_first_match: string,
    stop_after_first_match_desc: string,
    only_matched_items: string,
    only_matched_items_desc: string,
    filter_when: string,
    filter_setting_explanations: string,
    executed: string,
    not_executed: string,
    used_memory: string,
    elapsed_time: string,
    condition_met: string,
    condition_not_met: string,
    messages: string,
    subjects: string,
    modified_subjects: string,
    denied_subjects: string,
    settings: string,
    message_count: string,
    subject_count: string,
    denied_subject_count: string,
    clone: string,
    move_up: string,
    move_down: string,
    move_in: string,
    move_out: string,
    toggle_expand_all: string,
    toggle_side_by_side: string,
    toggle_filter_enabled: string,
    side_by_side: string,
    previous: string,
    next: string,
    complete: string,
    cancel: string,
    close: string,
    skip: string,
    enable_x_tab: string,
    fix_this_error: string,
    fix_these_errors: string,
    start_guide: string,
    start_from_this_step: string,
    must_enable_tab_by_clicking: string,
    must_not_enable_tab: string,
    enter_valid_url: string,
    open_required_x_page_type_for_step: string,
    no_prev_step: string,
    prev_step_requires_x_page_type: string,
    please_select_x: string,
    test_this_command: string,
    test_category_url_automatically_set: string,
    sort_by_default: string,
    sort_by_value: string,
    sort_by_text: string,
    no_name: string,
    page_names: {
        site_listing: string,
        site_settings: string,
        add_new_site: string,
        dashboard: string,
        site_tester: string,
        tools: string,
        general_settings: string
    },
    validation: {
        must_check_checkbox: string,
        must_uncheck_checkbox: string,
        value_should_be_int: string,
        value_not_valid: string,
        format_not_correct_x_regex: string,
        enter_valid_url_x_regex: string,
        value_must_start_with: string,
        remove_duplicate_urls: string,
        value_not_valid_values_x: string,
        value_len_between_min_x_max_y: string,
        value_len_gt_or_eq_x: string
    },
    vars: {
        docs_label_index_url: string,
        docs_site_url: string,
        openai_models: [
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string,
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string,
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 8000,
                modes: [
                    string,
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 2048,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: -1,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: -1,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 128000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 128000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 4000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 16000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 128000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 8000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            },
            {
                id: string,
                rank: 0,
                contextLength: 32000,
                modes: [
                    string
                ],
                types: [
                    string
                ],
                createdAt: null
            }
        ]
    },
    create_openai_gpt_short_code: string,
    openai_gpt_short_code_creator: string,
    openai_gpt_short_code_options: string,
    short_code: string,
    test: string,
    hide: string,
    mode: string,
    mode_desc: string,
    model: string,
    model_desc: string,
    prompt: string,
    prompt_desc: string,
    stop_sequences: string,
    stop_sequences_desc: string,
    temperature: string,
    temperature_desc: string,
    maximum_length: string,
    maximum_length_desc: string,
    input: string,
    input_desc: string,
    instructions: string,
    instructions_desc: string,
    short_codes: string,
    short_codes_desc: string,
    import_mode: string,
    enable_import_mode: string,
    copy: string,
    optional: string,
    between_x_and_y: string,
    create_x: string,
    no_options: string,
    reset_options: string,
    default: string,
    openai_messages: string,
    openai_messages_desc: string,
    openai_message_placeholder: string,
    openai_chat_message_role: string,
    openai_response_format: string,
    openai_response_format_desc: string,
    openai_response_formats: {
        text: string,
        json_object: string
    },
    user: string,
    system: string,
    assistant: string,
    import_openai_gpt_short_code_placeholder: string,
    copy_short_code_to_use: string,
    define_short_code_options: string,
    enter_the_short_code_value_for_test: string,
    use_insert_to_indicate_location: string,
    openai_complete_prompt_placeholder: string,
    openai_insert_prompt_placeholder: string,
    openai_stop_placeholder: string,
    openai_edit_input_placeholder: string,
    openai_edit_instructions_placeholder: string,
    optionally_test_short_code: string,
    click_to_test_short_code: string,
    copy_generated_short_code: string,
    sample_response: string,
    sample_response_desc: string,
    sample_response_placeholder: string,
    short_code_details: {
        "model-response": {
            title: string
        }
    },
    step_x_of_y: string,
    please_fix_errors: string,
    loading: string,
    something_went_wrong: string,
    success: string,
    show_all: string,
    show_less: string,
    show_fewer: string,
    x_chars: string,
    show_x_more_items: string,
    want_to_exit_question: string,
    yes_exit: string,
    no_cancel: string,
    preview: string,
    click_to_preview: string,
    source: string,
    config_helper: {
        dialog_title: string,
        dont_want_auto_crawling: string,
        category_url: string,
        category_url_desc: string,
        category_url_placeholder: string,
        click_post_link_title: string,
        click_post_link_desc: string,
        click_to_select_post_link: string,
        click_to_select_another_post_link: string,
        no_post_urls_found: string,
        post_url: string,
        post_url_desc: string,
        post_url_placeholder: string,
        please_fix_errors: string,
        post_page_not_loaded: string,
        category_page_not_loaded: string,
        try_again: string,
        exit_config_helper: string,
        select_at_least_one_row: string,
        row_corresponds_to_selector: string,
        select_correct_selectors_desc: string,
        post_url_x: string,
        category_url_x: string,
        reload_urls_desc: string,
        step_post_urls_title: string,
        step_post_urls_desc: string,
        select_rows_with_correct_post_urls: string,
        step_post_title_title: string,
        step_post_title_desc: string,
        select_rows_with_correct_titles: string,
        click_to_select_title: string,
        click_to_select_title_button_message: string,
        click_to_select_title_guide_content: string,
        step_post_content_title: string,
        step_post_content_desc: string,
        select_row_with_correct_content: string,
        click_to_select_content: string,
        click_to_select_content_button_message: string,
        click_to_select_content_guide_content: string,
        step_post_featured_image_title: string,
        step_post_featured_image_desc: string,
        select_rows_with_correct_featured_images: string,
        click_to_select_featured_image: string,
        click_to_select_featured_image_button_message: string,
        click_to_select_featured_image_guide_content: string,
        step_post_lazy_image_title: string,
        step_post_lazy_image_desc: string,
        select_rows_with_correct_image_urls: string,
        step_post_lazy_image_none_found: string,
        step_post_page_prep_title: string,
        step_post_page_prep_desc: string,
        configuration_name: string,
        auto_convert_json_to_html: string,
        remove_img_srcset_and_sizes_attr: string,
        remove_images_with_data_urls: string,
        remove_svg_elements: string,
        remove_element_styles: string,
        remove_scripts: string,
        remove_form_elements: string,
        unwrap_forms: string,
        unwrap_forms_filter_title: string,
        unwrap_noscript_elements: string,
        unwrap_noscript_elements_filter_title: string,
        remove_non_standard_img_attrs: string,
        remove_internal_links: string,
        remove_links_going_to_x: string,
        remove_external_links: string,
        remove_links_not_going_to_x: string,
        step_finalize_title: string,
        step_finalize_desc: string,
        activate_auto_crawling: string,
        embed_social_media_posts_and_other_media: string,
        remove_empty_html_elements_and_comments: string,
        save_images_in_post_content: string,
        remove_style_elements_and_stylesheets: string,
        add_source_link_to_post_content: string
    },
    guides: string,
    search_guides: string,
    guide_info: {
        "saving-posts-automatically": {
            name: string,
            desc: string
        },
        "saving-posts-automatically-via-config-helper": {
            name: string,
            desc: string
        },
        "updating-posts-automatically": {
            name: string,
            desc: string
        },
        "translating-posts-automatically": {
            name: string,
            desc: string
        },
        "testing-site-settings": {
            name: string,
            desc: string
        },
        "using-cookies": {
            name: string,
            desc: string
        },
        "using-custom-general-settings": {
            name: string,
            desc: string
        },
        "adding-category-urls-automatically": {
            name: string,
            desc: string
        },
        "showing-iframes-in-post-content": {
            name: string,
            desc: string
        },
        "removing-links-in-post-content": {
            name: string,
            desc: string
        },
        "creating-post-categories-automatically": {
            name: string,
            desc: string
        },
        "saving-images-in-post-content": {
            name: string,
            desc: string
        },
        "saving-lazy-loaded-images": {
            name: string,
            desc: string
        },
        "removing-unnecessary-elements-from-post": {
            name: string,
            desc: string
        },
        "manually-saving-posts": {
            name: string,
            desc: string
        },
        "manually-updating-posts": {
            name: string,
            desc: string
        },
        "saving-woocommerce-products": {
            name: string,
            desc: string
        },
        "saving-featured-images": {
            name: string,
            desc: string
        },
        "translating-with-yandex-translate": {
            name: string,
            desc: string
        },
        "translating-with-google-cloud-translation": {
            name: string,
            desc: string
        },
        "translating-with-microsoft-translator-text": {
            name: string,
            desc: string
        },
        "translating-with-amazon-translate": {
            name: string,
            desc: string
        }
    },
    sk_step_contents: {
        _main_page_url: string,
        _active: string,
        _active_recrawling: string,
        _active_translation: string,
        _cookies: string,
        _do_not_use_general_settings: string,
        _category_map: string,
        _test_url_category: string,
        _category_add_category_urls_with_selector: string,
        _category_list_page_url: string,
        _category_list_url_selectors: string,
        _test_url_post: string,
        _post_title_selectors: string,
        _post_content_selectors: string,
        _post_category_name_selectors: string,
        _post_category_add_hierarchical: string,
        _post_category_do_not_add_category_in_map: string,
        _post_save_all_images_in_content: string,
        _post_save_thumbnails_if_not_exist: string,
        _post_thumbnail_selectors: string,
        _post_exchange_element_attributes: string,
        _post_unnecessary_element_selectors: string,
        _post_remove_links_from_short_codes: string,
        _post_convert_iframes_to_short_code: string,
        _dt_toolbar_css_selector: string,
        _wpcc_is_scheduling_active: string,
        _wpcc_is_recrawling_active: string,
        _wpcc_interval_url_collection: string,
        _wpcc_interval_post_crawl: string,
        _wpcc_interval_post_recrawl: string,
        _wpcc_min_time_between_two_recrawls_in_min: string,
        _wpcc_recrawl_posts_newer_than_in_min: string,
        _wpcc_allowed_iframe_short_code_domains: string,
        _wpcc_is_translation_active: string,
        _wpcc_selected_translation_service: string,
        _wpcc_translation_yandex_translate_api_key: string,
        _wpcc_translation_google_translate_project_id: string,
        _wpcc_translation_google_translate_api_key: string,
        _wpcc_translation_microsoft_translator_text_client_secret: string,
        _wpcc_translation_amazon_translate_access_key: string,
        _wpcc_translation_amazon_translate_secret: string,
        _wpcc_translation_amazon_translate_region: string,
        _wpcc_tools_site_id: string,
        _wpcc_tools_category_id: string,
        _post_urls: string,
        _wpcc_tools_recrawl_post_id: string
    },
    sk_step_titles: {
        _dt_toolbar_css_selector: string
    },
    tab_step_contents: {
        "tab-main": string,
        "tab-category": string,
        "tab-post": string,
        "tab-templates": string,
        "tab-general-settings": string,
        "tab-gs-post": string,
        "tab-gs-translation": string,
        "tab-manual-crawling": string,
        "tab-manual-recrawling": string
    },
    isk_step_info: {
        "_category_map-url": {
            name: string,
            desc: string
        },
        "_category_map-cat_id": {
            name: string,
            desc: string
        }
    },
    isk_step_def_info: {
        button: {
            "wcc-dev-tools": {
                name: string,
                desc: string
            },
            "wcc-test": {
                name: string,
                desc: string,
                "wcc-category-map": {
                    name: string,
                    desc: string
                }
            }
        },
        "": {
            "test-results": {
                name: string,
                desc: string
            },
            "css-selector-use": {
                name: string,
                desc: string
            }
        },
        iframe: {
            source: {
                name: string,
                desc: string
            }
        },
        "[name=\"selection_behavior\"]": {
            name: string,
            desc: string
        }
    },
    g_step_info: {
        btn_add_new_site: {
            name: string,
            desc: string
        },
        input_site_title: {
            name: string,
            desc: string
        },
        btn_publish_update: {
            name: string,
            desc: string
        },
        btn_quick_save_site_settings: {
            name: string,
            desc: string
        },
        btn_load_general_settings: {
            name: string,
            desc: string
        },
        tab_content_general_settings: {
            name: string,
            desc: string
        },
        section_woocommerce: {
            name: string,
            desc: string
        },
        btn_save_general_settings: {
            name: string,
            desc: string
        },
        dashboard_active_sites_section: {
            name: string,
            desc: string
        },
        dashboard_whats_happening_section: {
            name: string,
            desc: string
        },
        dashboard_last_crawled_posts_section: {
            name: string,
            desc: string
        },
        dashboard_refresh_input: {
            name: string,
            desc: string
        },
        tester_select_site_name: {
            name: string,
            desc: string
        },
        tester_select_test_type: {
            name: string,
            desc: string
        },
        tester_input_test_url: {
            name: string,
            desc: string
        },
        tester_btn_test: {
            name: string,
            desc: string
        },
        tester_test_results_container: {
            name: string,
            desc: string
        },
        btn_manual_crawling_tool_crawl_now: {
            name: string,
            desc: string
        },
        manual_crawling_tool_results_container: {
            name: string,
            desc: string
        },
        btn_manual_recrawling_tool_recrawl: {
            name: string,
            desc: string
        },
        manual_recrawling_tool_results_container: {
            name: string,
            desc: string
        },
        button_display_guides: {
            name: string,
            desc: string
        }
    },
    page_step_info: {
        add_new_site: {
            name: string,
            desc: string
        },
        general_settings: {
            name: string,
            desc: string
        },
        dashboard: {
            name: string,
            desc: string
        }
    },
    custom_step_info: {
        lets_get_you_started_add_new_site: {
            name: string,
            desc: string
        },
        dev_tools_click_post_link: {
            name: string,
            desc: string
        },
        dev_tools_click_post_title: {
            name: string,
            desc: string
        },
        dev_tools_click_post_content: {
            name: string,
            desc: string
        },
        dev_tools_click_category_link: {
            name: string,
            desc: string
        },
        dev_tools_click_category_name: {
            name: string,
            desc: string
        },
        dev_tools_click_featured_image: {
            name: string,
            desc: string
        },
        dev_tools_click_unnecessary_element: {
            name: string,
            desc: string
        },
        observe_found_post_urls: {
            name: string,
            desc: string
        },
        observe_added_category_urls: {
            name: string,
            desc: string
        },
        observe_found_post_title: {
            name: string,
            desc: string
        },
        observe_found_unnecessary_elements: {
            name: string,
            desc: string
        },
        observe_featured_image_url: {
            name: string,
            desc: string
        },
        post_type_woocommerce_product: {
            name: string,
            desc: string
        },
        category_map_woocommerce_category: {
            name: string,
            desc: string
        },
        "show-lazy-loaded-images-selector": {
            name: string,
            desc: string
        },
        "show-lazy-loaded-images-test-results-1": {
            name: string,
            desc: string
        },
        "show-lazy-loaded-images-attr1": {
            name: string,
            desc: string
        },
        "show-lazy-loaded-images-attr2": {
            name: string,
            desc: string
        },
        "show-lazy-loaded-images-test-results-2": {
            name: string,
            desc: string
        },
        "translation-from-language": {
            name: string,
            desc: string
        },
        "translation-to-language": {
            name: string,
            desc: string
        },
        "translation-test-text": {
            name: string,
            desc: string
        },
        "complete-config-helper": {
            name: string,
            desc: string
        }
    }
}
